import { HardhatRuntimeEnvironment } from "hardhat/types";
import { DeployFunction } from "hardhat-deploy/types";
import { ethers } from "hardhat";


const deployNFTClaim: DeployFunction = 
  async function (hre: HardhatRuntimeEnvironment) {
    const provider = ethers.provider;
    const from = await (await provider.getSigner()).getAddress();

    console.log(from);
    const ret = await hre.deployments.deploy("NFTClaimStage2", {
      from,
      args: [],
      log: true,
    });
    console.log("==NFTClaimStage2 addr=", ret.address);
  };

  deployNFTClaim.tags = ["NFTClaimStage2"];

export default deployNFTClaim;
