import { HardhatRuntimeEnvironment } from "hardhat/types";
import { DeployFunction } from "hardhat-deploy/types";
import { ethers } from "hardhat";


const deployNFTForGame: DeployFunction = 
  async function (hre: HardhatRuntimeEnvironment) {
    const provider = ethers.provider;
    const from = await (await provider.getSigner()).getAddress();

    console.log(from);
    const ret = await hre.deployments.deploy("CFNFTGame", {
      from,
      args: [],
      log: true,
    });
    console.log("==CFNFTGame addr=", ret.address);
  };

  deployNFTForGame.tags = ["CFNFTGame"];

export default deployNFTForGame;
